---
title: 'ARIA: banner role'
slug: Web/Accessibility/ARIA/Roles/Banner_role
tags:
  - ARIA
  - Accessibility
  - NeedsContent
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p class="summary"><span class="seoSummary">A <code>banner</code> role represents general and informative content frequently placed at the beginning of the page. This usually includes a logo, company name, search icon, photo related to the page, or slogan.</span></p>

<pre class="brush: html">&lt;div role="banner"&gt;
  &lt;img src="companylogo.svg" alt="my company name" /&gt;
  &lt;h1&gt;<em>Title</em>&lt;/h1&gt;
  &lt;h2&gt;Subtitle&lt;/h2&gt;
&lt;/div&gt;</pre>

<p>By default, the HTML5 {{htmlelement("header")}} element has an identical meaning to the <code>banner</code> landmark, unless it is a descendant of {{htmlelement("aside")}}, {{htmlelement("article")}}, {{htmlelement("main")}}, {{htmlelement("nav")}}, or {{htmlelement("section")}}.</p>

<ul>
</ul>

<h2 id="Description">Description</h2>

<p>A <code>banner</code> landmark role converts the container element upon which it is applied into a header. It should be reserved for the site header content that is common across the site generally at the top of every page.</p>

<p>The banner is typically includes things a logo or corporate identity, possibly a site-specific search tool, and is generally what your marketing team would call the header or top banner of the site. If the <a href="/en-US/docs/Web/HTML/Element/header"><code>header</code> element</a> technique is not being used for that banner, a declaration of <code>role="banner"</code> should be used to define a banner landmark to assistive technologies.</p>

<p>Assistive technologies can identify the main <code>header</code> element of a page as the <code>banner</code> if is a descendant of the <a href="/en-US/docs/Web/HTML/Element/body"><code>body</code> element</a>, and not nested within an <code>article</code>, <code>aside</code>, <code>main</code>, <code>nav</code> or <code>section</code> subsection.</p>

<p>Each page may have a <code>banner</code> landmark, but each page should be limited to only one <code>header</code> with the role of banner. In the case of a page containing nested <code>document</code> and/or <code>application</code> roles, each nested <code>document</code> or <code>application</code> role may also have one <code>banner</code> landmark. If a page includes more than one <code>banner</code> landmark, each should have a unique label.</p>

<h3 id="Associated_ARIA_roles_states_and_properties">Associated ARIA roles, states, and properties</h3>

<p>None</p>

<h3 id="Keyboard_interactions">Keyboard interactions</h3>

<p>None</p>

<h3 id="Required_JavaScript_features">Required JavaScript features</h3>

<p>None</p>

<h2 id="Examples">Examples</h2>

<p>Here's a fake simple banner with a skip to navigation link, a logo, a title and a subtitle. As this is the main header for the site, we've added the <code>banner</code> landmark role to the container element.</p>

<pre class="brush: html">&lt;div role="banner"&gt;
  &lt;a href="#nav" id="skipToMenu" class="skiptocontent"&gt;Skip To Keyboard Navigation&lt;/a&gt;
  &lt;img src="images/w3c.png" alt="W3C Logo"&gt;
  &lt;h1&gt;ARIA Landmarks&lt;/h1&gt;
  &lt;p&gt;Identifying page subsections for easy navigation&lt;/p&gt;
&lt;/div&gt;</pre>

<p>We could also have written the above with the HTML <code>header</code> element:</p>

<pre class="brush: html">&lt;header&gt;
  &lt;a href="#nav" id="skipToMenu" class="skiptocontent"&gt;Skip To Keyboard Navigation&lt;/a&gt;
  &lt;img src="images/w3c.png" alt="W3C Logo"&gt;
  &lt;h1&gt;ARIA Landmarks&lt;/h1&gt;
  &lt;p&gt;Identifying page subsections for easy navigation&lt;/p&gt;
&lt;/header&gt;</pre>

<h2 id="Best_practices">Best practices</h2>

<p>While it is best to use the <code>header</code> element and ensure it is not a descendant of any subsection of the page, sometimes you don't have access to the underlying HTML. If this is the case, you can add the role of <code>banner</code> to the main header of the page with JavaScript. Identifying the page's banner in this way will help improve the site's accessibility.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#banner","ARIA: banner role")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("ARIA Authoring Practices","#aria_lh_banner","Banner landmark role")}}</td>
   <td>{{Spec2('ARIA Authoring Practices')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Element/header">HTML <code>header</code> element</a></li>
 <li><a href="https://w3c.github.io/aria-practices/examples/landmarks/banner.html">WC3 Landmarks Example</a></li>
</ul>
